Get a company spend tier
curl --request GET \
--url https://www.ruddr.io/api/workspace/company-spend-tiers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/company-spend-tiers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/company-spend-tiers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a4c8e2f1-7b35-4d92-8f16-e3a9d0c47b58",
"name": "Enterprise",
"amount": 50000,
"currency": "USD",
"isActive": true,
"createdAt": "2025-06-12T14:23:41.089Z"
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}{
"status": 404,
"message": "Object with id 'e7d3b1a9-42f8-4c56-90e1-f8b2a6d05c73' not found."
}Company Spend Tiers
Get a company spend tier
GET
/
company-spend-tiers
/
{id}
Get a company spend tier
A tier used to categorize companies based on their annual spend.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The company spend tier uuid.
Response
200
The unique identifier for the object.
The name of the company spend tier.
The amount of the company spend tier.
The currency code for the company spend tier.
Whether the company spend tier is active.
The timestamp when the object was created.
⌘I